# ZMQContext::setOpt

(PECL zmq >= 1.0.4)

ZMQContext::setOpt — Set a socket option

### 说明

public ZMQContext::setOpt(int `$key`, mixed `$value`): ZMQContext

Sets a ZMQ context option. The type of the `value` depends on the `key`. See ZMQ Constant Types for more information.

### 参数

`key`

  One of the `ZMQ::CTXOPT_*` constants.

`value`

  The value of the parameter.

### 返回值

Returns the current object. Throws ZMQContextException on error.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open